NextGEN Gallery
by Alex Rabe & NextGEN DEV Team

V1.2.0 - 09.03.2009
- NEW : Support for image tag cloud with shortcode [tagcloud]
- NEW : Adding shortcode [recent max="7" template="filename" /] & [random max="7" template="filename" /] to show the most recent/random pictures (THX to Bernhard)
- NEW : Crop thumbnails manually (THX to Simone Fumagalli)
- NEW : Support for i18n with polyglot or qtrans plugin (THX to Boris Glumpler)
- NEW : Canonical meta link support
- Added : SWFUpload V2.2.0 B5
- Added : New memory limit check in upload screen
- Bugfix : Language typo fixes
- Bugfix : Admin Pagination fix
- Bugfix : Typo fix in widgets
- Bugfix : Init column script after document is ready
- Bugfix : htmlspecialchars() instead htmlentities() for links in the a href title description
- Bugfix : Upgrade routine didn't add sortorder to correct table (THX to Uwe)
- Bugfix : Correct shotcode in media upload tab

V1.1.0 - 26.01.2009
- NEW : Pagination for album page via custom fields ('ngg_paged_Galleries')
- NEW : Support for fixed number of columns inside the gallery
- NEW : Added pagination for galleries and images in admin section
- NEW : New action hook after image is added to database, called 'ngg_added_new_image' 
- NEW : New template for caption below images, called via [nggallery id=x template=caption]
- Added : SWFUpload V2.2.0 B4
- Changed : Rework of Manage image tables
- Changed : Move imagerotator.swf to wp-content/uploads
- Changed : Added a URL field to setup the path to the Imagerotator
- Changed : Add additional parameter to gallery object
- Changed : Load donators list external
- Bugfix : Style fixes for tables in IE7
- Bugfix : All albums code couldn't use the slideshow, query is empty for 0
- Bugfix : Htmlentities() for links in the a href title description
- Bugfix : Clean up mode for singlepic
- Bugfix : Typo in widget settings

V1.0.2 - 19.12.2008
- Added : Option to enable/disable the MediaRSS Feed
- Added : For flash under FF3/WIN we should use outline: none; 
- Added : Use sort order also for Media RSS
- Changed : Descending order for TinyMCE Editor
- Changed : Added screencolor flashvar as bgcolor for the flash slideshow
- Changed : Remove link to gallery in sidebar widget
- Bugfix : Check for empty gallery title and show name instead
- Bugfix : Album id=all / Album id=0 didn't show content
- Bugfix : Check for a empty description and alttext
- Bugfix : Remove HTML tags from slideshow 
- Bugfix : Load SWFobject always when the imagerotator exist
- Bugfix : Zip-Upload in existing gallery failed
- Bugifx : Typo in functions.php (THX to David Horat)

V1.0.1 - 11.12.2008
- Bugfix : Change upgrade routine, import_date_time could cause a memory problem
- Bugfix : Help pages will not show up in non-english enviroment
- Bugfix : Show gallery name if title is empty

V1.0.0 - 11.12.2008
- NEW : Adding some rewrite rules for the Blog title for a better SEO (Will be continued...)
- NEW : Added ImageMagick support (currently a bit experimental) (THX to Frederic de Ranter) 
- NEW : Automatic unistall via register_uninstall_hook()
- NEW : Added a presort option to sort easier the images
- NEW : Lookup for a nggallery.css in the theme folder
- NEW : Added Date/Time field to database and import it from EXIF, new sort option
- NEW : Multi Widgets to show links to Media RSS feeds (THX to Vincent Prat) 
- NEW : PicLens support for galleries (THX to Vincent Prat) 
- NEW : Copy/Move images between galleries (THX to Vincent Prat) 
- NEW : Media RSS feeds (either for galleries, albums or global) (THX to Vincent Prat) 
- NEW : Image tag management (THX to Vincent Prat) 
- NEW : Convert all shortcodes to WP shortcodes API
- NEW : AJAX based thumbnail generator
- NEW : Create output via template files, more flexible and support for multiple templates
- NEW : Extended role system. Each gallery has now a author
- NEW : [thumb id="4,5,12,..."] shortcode. You can now insert 
        thumbnails for one or more images (that are not necessarly inside the same gallery).
- Changed : Add swfupload 2.2.0. Support for Adobe Flash 10 upload		
- Changed : Update all Admin pages for Wordpress 2.7 Admin UI		
- Changed : New icon for TinyMCE and WP2.7 Menue from http://www.pinvoke.com/
- Changed : Move update message to admin.php
- Changed : Widgets are now core and doesn't need to be activate, rework as Multi Widgets		
- Changed : Improved the gallery management page.
- Changed : Rename the filter 'ngg_create_gallery_thumbcode' to 'ngg_get_thumbcode'.
- Changed : Convert tags to WP-Taxonomy tables, no more need for ngg_tags, ngg_pic2tags
- Changed : Arrange manage fields in a new way
- Changed : Support now SSL 
- Changed : Use JQuery UI instead of interface lib
- Changed : Updated to swfobject 2.1
- Changed : Rework of database queries and new central nggdb class 
- Bugfix : Changed CSS for singlepic padding to margin
- Bugfix : Check for zero in Exif Focal Length
- Bugfix : Round instead inval for square thumbnails
- Removed : Do not longer check for myGallery folders
- Removed : Use now PclZip from WP Core
- Removed : Wordpress 2.1 - 2.3 files deleted

V0.99 - 27.09.2008
- Changed : Included swfobject version 2.1 
- Bugfix : Recognize the zip better
- Bugfix : Limit the length of the title in the media-upload
- Bugfix : Round instead inval for square thumbnails

V0.98 - 15.07.2008
- Bugfix : Removed all whitespaces at EOF

V0.97 - 10.07.2008
- Changed : Get new path contstant from WP2.6
- Changed : Minor updates for WP2.6
- Changed : Added new filters (THX to Vincent Prat) 
- Removed : Revert singlepic wrapper, breaks validation

V0.96 - 18.05.2008
- Changed : Use postbox for gallery settings 
- Added : New filter function to add custom columns
- Bugfix : Fixed width for Thickbox in Manage gallery
- Bugfix : fixed width for media upload select box
- Bugfix : Remove <p> tag in singlepic regex
- Bugfix : Correct format of shutter speed 
- Bugfix : Album name in Short code not useable  

V0.95 - 25.04.2008
- Bugfix : Correction in media-upload to fit with Wordpress 2.5.1
- Bugfix : Attribute_escape all objects in media-upload
- Bugfix : Correct sortorder for albums
- Bugfix : Typo correction (THX to Momo-I)

V0.94 - 20.04.2008
- Added : New filter option ngg_create_gallery_link
- Changed : Reduce amount of DB queries in albums (Big THX to Alexandr Kindras)
- Changed : Revert wpautop priority change. Doesn't good for other plugins

V0.93 - 12.04.2008
- Added : Select Full-Size or Singlepic in Media Upload
- Added : Check for minimum 8 MB Memory
- Changed : Priority from wpautop must be before gallery
- Bugfix : Added Screencolor to Widgets
- Bugfix : Clean CSS class in setup.php
- Bugfix : Change PHP short tag (Thx to Archedition)
- Bugfix : Remove tab.png from CSS (Thx to Frisco)
- Bugfix : Remove newline and encode quotes in Media-Upload (THX to Trip Mellinger)

V0.92 - 30.03.2008
- Changed : Higher priority for filter in WP2.5 final
- Changed : Do not increase memory_limit with ini_set
- Added : Read EXIF field ImageDescription

V0.91 - 24.03.2008
- Changed : Resample mode back to 3
- Changed : Add DIV "ngg-singlepic-wrapper" for SingelPic (THX to Travel-Junkie)
- Changed : Increase Tweakfactor for Memory Check
- Bugfix : Use admin.css only on NextGEN pages (THX tp Oliver)
- Bugfix : Updates widgets (V1.21) for ImageRotator 3.15
- Bugfix : Change order of rewrite rules for WP 2.5
- Bugfix : Include Dashboard CSS also for page "nextgen-gallery"

V0.90 - 18.03.2008
- NEW : Sort order for images
- NEW : Updated style for Wp 2.5
- NEW : Media upload tab integration for WP 2.5
- Added   : Change wp shortcode filter 
- Added   : TinyMCE V3 Button for WordPress 2.5
- Added   : Singlepic center class 
- Changed : New default parameter for ImageRotator 3.15
- Changed : By default enable metadata import
- Changed : Moved disable/enable flash setting to add gallery
- Changed : wpdb->escape gallerytag in nggfunctions
- Changed : Sort files after scan folder
- Changed : Check for filename during upload
- Changed : Remove jQuery plugin for navigation
- Changed : Remove myGallery import
- Changed : Resample mode default set to 5, causes problems at PHP 4.4.8 /PHP 5.2.4
- Bugfix  : nggextractXML missing stripslashes
- Bugfix  : P tags not closed in manage.php
- Bugfix  : Remove " from singlepic class
- Bugfix  : Rewrite rule for ImageBrowser added

V0.83 - 14.02.2008
- Changed : New Interfaces.js from WP Core 2.5, for sortable bug under IE7
- Changed : Update to jQuery V1.2.2, deregister older version from WP
- Changed : Add ini_set 128MB for memory-limit
- Bugfix : SWFUpload Cookie Post_Params are overwritten , no upload possible
- Bugfix : WPMU options are not saved after installation
- Bugfix : Remove Flush rewrite rules during install 

V0.82 - 09.02.2008
- Bugfix : add_filter (searchnggallerytags) not proper included for some other plugins

V0.81 - 04.02.2008
- Changed : Use stristr first to reduce CPU cycles (THX to Alakhnor)
- Changed : Flush Rewrites rules after option update
- Changed : Rework for folder check under Safe-Mode 
- Bugfix : Check for array in get_option() (THX to Alessandro)
- Bugfix : Add Cookie to SWFUpload, show Error code included
- Bugfix : galShowOrder = Sildeshow at first didn't work
- Bugfix : Remove reference from ngg_getOnlyImages 

V0.80 - 02.02.2008
- NEW : SWFUpload integrated : Show upload progress and select multiple files in the file browser dialog. 
- NEW : Progress bar for resize, watermark and thumbnail operation
- NEW : Import Meta data from images
- NEW : Show Meta data information
- NEW : Cache option for SinglePic
- NEW : Permalink support
- NEW : Custom fields support - Change the settings for each post/page
- Changed : Up to 10 Widgets, exclude galleries from random/recent images. 
- Changed : Refactor permission check for Safe-Mode Check and mkdir/chmod
- Changed : Admin CSS in new folder/file for better structure
- Changed : Clean up folder structure
- Changed : Clean up code in manage.php, functions.php
- Changed : Moved several functions into nggAdmin Class (functions.php)
- Changed : Update to jQuery V1.1.4 (v1.2.1 causes problems with interface.js)
- Changed : Hide used galleries in album admin page 
- Changed : Remove float in singlepic code and added class ngg-left , ngg-right (THX to Nathan Sylvain)
- Changed : Edit style setting (added new class .desc , THX to Sebastian) 
- Changed : Check for galleryfolder instead name (THX to Luke Poland)
- Changed : Delete images per default
- Changed : Change CSS (ngg-album-compact) , remove width & height setting from code
- Bugfix : Fixed static front page problem
- Bugfix : Missing stripslashes & html_entity_decode
- Bugfix : Change Album CSS (THX to Thomas-DK)
- Bugfix : Watermark for GIF not correct supported
- Bugfix : Missing wp_nonce at setup page
- Bugfix : Add DIV in Slideshow link (for Safari & Opera)
- Added : Screencolor flashvar for JW Image Rotator 3.13 or higher
- Added : Set WP-CHARSET / COLLATE during installation
- Added : Updated to Pclzip.lib.php v2.6
- Added : CSS ID field for gallery & images
- WPMU : New site admin page (wpmu.php)
- WPMU : Integrated quota check
- WPMU : No update check
- WPMU : Remove edit style (THX to Kristin)
- WPMU : Remove uninstall button
- WPMU : Remove server settings
- WPMU : Gallery path set to blog.dir
- Added : Support for WPMU

V0.74 - 01.12.2007
- NEW : Added meta reader class, first step to integrated meta data import

V0.73 - 20.10.2007
- Added : Support for Shutter Reloaded
- Update to jQuery Tabs 2.7.4
- Changed : Remove $_SERVER['REQUEST_URI'] for IIS compatibility
- Bugfix : Option Sildeshow didn't jump to overview

V0.72 - 13.09.2007
- Added : Missing overflow:hidden in ngg-album.css
- Added : New experimental stylesheet hovereffect.css
- Changed : Better check for memory limit in zip-files
- Bugfix : Missing stripslashes for alttext (THX to Lawrence)
- Bugfix : Navigation didn't highlight page 1 (THX to Brot)
- Bugfix : Albums automatic minimize if more than 4 galleries
- Bugfix : Missing check_admin_referer in style (THX again to Christopher)

V0.71 - 07.09.2007
- Added  : Add defer="defer" to Slideshow to avoid IE crash (THX to Simbo)
- Bugfix : Bugfix for slideshow to show all pictures
- Bugfix : Wrong check_admin_referer in albums (THX to Christopher)
- Bugfix : No exclude check in counter and widgets (THX to Christopher)
- Bugfix : Check for existing role (THX to Lost in Network)
- Bugfix : Label in roles are wrong (THX to Joern)

V0.70 - 06.09.2007
- NEW : Add role manager page and capabilities
- NEW : Show gallery with [tags=list of tags]
- NEW : Show album with [albumtags=list of tags]
- NEW : Tag system for all images
- NEW : Option for append related images
- NEW : Option to show description below thumbnail
- NEW : Option to show ImageBrowser instead JS effect
- Added : Add Full size link to thickbox
- Added  : Check for page/postid in tag processing
- Added  : Sildeshow widget can now contain all images
- Added  : Minimize/Maximize option for albums 
- Added  : Deregister jQuery V1.1.2 for WP2.2 (to use V1.1.3.1)
- Added  : Integrate wp_nonce_field at all admin pages
- Changed : Update to Thickbox 3.1 + mods for NextGEN gallery
- Changed : Moved "clear:both" into class "ngg-clear" (THX to Gero)
- Changed : Switched from jQuery Interface to jQuery Tabs from Klaus Hartl 
- Remove : Remove option for singlepic link
- Remove : Remove options for imagebrowser
- Bugfix : Most Recent image in Widget are wrong
- Bugfix : More XHTML valid , htmlspecialchars() after add_query_arg()
- Bugfix : Sanitize file name before upload
- Bugfix : Sanitize folder name (THX to Tom Fowler)
- Bugfix : Show title/alt in jQuery plugin (THX to Gregory Green)
- Bugfix : i18n support for Gallery tab
- Bugfix : Reduce memory-needs for plugin
- Bugfix : Typo/spelling correction
- Bugfix : Removed myGallery author from contribute list

V0.64 - 31.07.2007
- Bugfix : Remove arrows in image browser text
- Bugfix : Include nggadmintab.php with dirname 
- Bugfix : Zip-Upload under Mac > look for basename

V0.63 - 10.07.2007
- NEW : You can now upload a zip file into a existing gallery
- Added : Remove subfolder in Zip-files
- Added : Show required memory for thumbnail creation
- Added : Updated to jQuery.multifile 1.22
- Added : Install-Upgrade for WordPress 2.3
- Bugfix : Supress unlink error message for thumbs
- Bugfix : Support upload of zip files from MAC
- Bugfix : Add Stripslash for image description
- Bugfix : Use for Singlepic not rel="Gallery name"
- Bugfix : Moved RSS/Snoopy includes into function

V0.62 - 06.07.2007
- NEW : Import for myGallery
- Added : Updated to jQuery 1.1.3.1
- Bugfix : Check for memory_limit setting, otherwise pass the test
- Bugfix : Thumbcode not insert for nggDisplayRandomImages and nggDisplayRecentImages

V0.61 - 29.06.2007
- Added : Forgot the file jquery.nextgen.pack.js and jquery.nextgen.js

V0.60 - 27.06.2007
- NEW : Select a image from the Upload Tab
- NEW : Tag [imagebrowser=id] for a Inline Gallery Browser
- NEW : Show gallery without Subpages
- NEW : Manage gallery : Function "Add a new page"
- NEW : Manage gallery : Show/Hide thumbnails
- Added : Slideshow option : Watermark / Background music 
- Added : Check for memory limit 
- Added : Show actual memory usage in overview
- Added : Include function check in widget
- Added : Latest Sidebar widget from KeViN
- Added : Check for capability during installation
- Changed : Remove P Tag around gallery tags ( THX to the work from John Godley )
- Bugfix : Delete picture, check for pid
- Bugfix : admin/settings.php line #172: typos corrected (this=these,maxium=maximum). (THX to Helene D.) 
- Bugfix : admin/settings.php line #311: missing </td> added. (THX to Helene D.) 

V0.52 - 31.05.2007
- Changed : Create better thubmnails in square mode (THX to Kees de Bruin) 
- Changed : Again , fixed ratio create better thumbnails (Also for widescreen photos)
- Removed : Option "Resize image before cropping" removed and included in Create square thumbnail
- Bugfix : Scan folder for new picture didn't set exclude = 0
- Bugfix : If no option is checked in thumbnails, resize failed (THK to Joern Kretzschmar)

V0.51 - 28.05.2007
- Bugfix : Thumbnail permission not set correct
- Bugfix : Folder permission check wrong
- Bugfix : Remove echo in album (THX to Lazy)

V0.50 - 28.05.2007
- NEW : Select multiple files for upload (THX to Diego A., http://www.fyneworks.com)
- NEW : Sidebar widget contain now Slideshow, recent images and random images
- Added : New Option for Imagerotator 3.8 (Slow zoom effect)
- Added : Option for CDATA wrapper (not working proper)
- Added : Option for Thickbox Loading Image
- Added : CSS file for dKret2 (THK to Joern)
- Added : Better file permission check
- Changed : Fixed ratio create better thumbnails in portrait mode
- Changed : All jQuery scripts are now in "No Conflict" mode
- Changed : Script loading now via wp_enqueue_script
- Changed : Add constant values for folder/file permission
- Changed : Use description in <A href title>
- Bugfix : Remove wrong DIV tag in slideshow
- Bugfix : Tag [Slideshow=id,width,height] didn't work proper
- Bugfix : Name conflict in Album script (serialize) (THX to Die-Andis)
- Bugfix : Changed check for CSS activation
- Bugfix : Changed check for safe-mode (Don't ask)

V0.43 - 20.05.2007
- Changed : Rename Thumbnail class to avoid php name collision
- Bugfix : Missing translation flag in setup
- Bugfix : Changed check for safe-mode
- Bugfix : Changed check for Zip-File

V0.42 - 17.05.2007
- Bugfix : Float function for singlepic not integrated, sorry !
- Bugfix : Remove clear:both in widget

V0.41 - 17.05.2007
- NEW : Sidebar widget from KeViN
- Update : Better album management for more galleries
- Update : Thickbox v3 integrated
- Added : Float selection for singlepic
- Added : CSS class for widget
- Added : CSS file for K2 theme
- Added : German translation (THX to Lazy)
- Added : Better check for safe-mode
- Added : CSS Class for single-pic : class="ngg-singlepic"
- Added : Option to resize image before cropping it (Setting reset of 
          prior versions needed! Setup -> Reset Settings)
- Changed : Image quality by default 85% (THX to ArizonaGroovejet)
- Bugfix : Update wrong file when select other style
- Bugfix : Fixed Permalink in album (THX to Helene D.)
- Bugfix : Scan folder in empty gallery
- Bugfix : Swfobjects only added with Thickbox effect
- Bugfix : Umlauts are now handled correctly

V0.40 - 29.04.2007
- NEW : TinyMCE Button integration
- Removed : CSS Style : remove width/height in album

V0.39 - 28.04.2007
- Added : Set ORDER BY for gallery
- Bugfix : check now for Exclude != 1
- Bugfix : DB Query in function wrong
- Bugfix : DB exlude = DEFAULT '0'
- Bugfix : Scan folder in empty gallery

V0.38 - 28.04.2007
- Bugfix : One time more remove get_settings :-)
- Bugfix : $_GET in Manage gallery
- Bugfix : exclude option

V0.37 - 28.04.2007
- Bugfix : $_GET in Manage gallery
- Bugfix : update DB installation routine

V0.36 - 26.04.2007
- Bugfix : Stupid PHP beginner failure in album management

V0.35 - 26.04.2007
- Rework : Folder name can be flexible
- New option : Fullsize pic for Singlepic mode
- New option : Select show order
- Added : Check for WP2.1
- Added : Check for permission for default folder
- Bugfix : Remove get_settings
- Bugfix : Correction for Safe-Mode ON
- Bugfix : Set Default '0' for table album.sortorder
- Bugfix : Update sort order

V0.34 - 24.04.2007
- Added : Add fix ration setting
- Added : Add language file file
- Bugfix : Change link in Album to get_bloginfo('wpurl')
- Bugfix : Album CSS file not loaded

V0.33 - 23.04.2007
- NEW : Overview Page
- NEW : Core function
- NEW : Slideshow